body {
  margin: 0;
  padding: 0;
  background: #111111;
  color: white;
}

/* cambiar tamaño a fecha span */
/* marcar y desmarcar radio */
/* crear botones de delete para inputs */

/* @font-face {
  font-family: "Neonderthaw", cursive;
  src: url("https://fonts.googleapis.com/css2?family=Neonderthaw&display=swap");
} */

.container-principal {
  display: flex;
  justify-content: center;
}

main {
  width: 60%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.container-header {
  max-width: 60%;
  margin: 60px 0 24px;
  display: flex;
  justify-content: start;
  align-items: center;
  text-align: center;
  gap: 50px;
  position: relative;
}

.container-header-inputs {
  width: 60%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 80px;
}

nav {
  position: fixed;
  left: 0;
  width: 20%;
  display: flex;
  height: 100vh;
  flex-direction: column;
  align-items: center;
  background: rgb(32, 31, 31);
}

aside {
  position: fixed;
  right: 0;
  width: 20%;
  display: flex;
  height: 100vh;
  flex-direction: column;
  align-items: center;
  background: rgb(32, 31, 31);
  padding: 36px 0;
}

.nav-responsive {
  display: none;
  width: 100%;
  height: 60px;
  justify-content: space-between;
  align-items: center;
  padding: 20px;
  background: rgb(32, 31, 31);
}

.nav-title {
  width: 50%;
  height: 16%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 15px;
  img {
    width: 22px;
    height: 40px;
  }
  h3 {
    font-size: 36px;
    font-weight: bold;
  }
}

.nav-list {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  margin-top: 20px;
}

ul {
  list-style: none;
  padding-left: 0;
  display: flex;
  flex-direction: column;
  gap: 15px;
  font-size: 18px;
  li:hover {
    color: rgb(253, 242, 242);
  }
  a {
    text-decoration: none;
    color: rgb(192, 180, 180);
  }
}

.ul-title {
  font-size: 20px;
  font-weight: bold;
}

.gray {
  color: rgb(124, 122, 122);
}

.life {
  color: black;
  font-size: 1.1rem;
  font-weight: bold;
}

.cross {
  display: flex;
  width: 130px;
  height: 30px;
  border-radius: 10px;
  padding: 10px;
  background: rgba(250, 128, 114, 0.8);
  justify-content: space-between;
  align-items: center;
}

.cross:hover {
  background: rgba(248, 115, 100, 0.8);
  cursor: pointer;
}

.date {
  font-size: 30px;
}

.date-forms {
  font-size: px;
}

#span-date {
  width: 4rem;
  font-size: 36px;
}

.title {
  h1 {
    margin: 0 0 5px;
    font-size: 40px;
  }
}
.second-color {
  font-size: 36px;
  color: gray;
}

.form {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
}

button {
  background: transparent;
  border: none;
}
.deleteBtn {
  color: aliceblue;
  cursor: pointer;
}

#button {
  font-size: 40px;
  color: rgb(161, 161, 86);
}
#button:hover {
  transform: scale(1.1);
  cursor: pointer;
}

.input-container {
  background: rgb(36 34 34);
  border-radius: 10px;
  height: 56px;
  padding: 10px;
  display: flex;
  align-items: center;
}

.ico {
  font-size: 1.5rem;
}

.task-section li {
  background: rgb(36 34 34);
  border-radius: 10px;
  height: 56px;
  padding: 10px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.task-section {
  width: 100%;
  text-align: center;
}

.list-delete {
  background: rgb(36 34 34);
  border-radius: 10px;
  height: 76px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: relative;
  p {
    position: absolute;
    left: 58px;
  }
}

.new-li {
  background: rgb(78 57 57);
  border-radius: 10px;
  width: 100%;
  height: 56px;
  padding: 4px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  p {
    color: #ebe2e2;
    font-family: sans-serif;
    text-decoration: line-through;
  }
}

.p {
  color: #ebe2e2;
  text-decoration: line-through;
}

.btn-delete {
  font-size: 20px;
  color: rgb(150 199 178);
  cursor: pointer;
}

.padding-list {
  padding: 20px;
}

.imagen {
  padding: 20px;
}

#todo-list {
  gap: 20px;
  margin-top: 30px;
}

input {
  display: none;
}

.newTodo {
  display: block;
  background: transparent;
  width: 100%;
  height: 20px;
  border: none;
  color: white;
  padding: 10px;
  font-size: 1.2rem;
  outline: none;
}

.tasks-container {
  margin: 10px 0;
  min-width: 200px;
  border-radius: 4px;
  padding: 0 10px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  gap: 30px;
  font-size: 20px;
  font-family: sans-serif;
  li {
    width: 100%;
    height: 56px;
    padding: 10px;
    background-color: rgb(78 57 57);
  }
}

.your-notes {
  margin-bottom: 30px;
  width: 80%;
  font-size: 36px;
  font-weight: 600;
  text-align: center;
}

@media screen and (max-width: 600px) {
  .container-header h1,
  .second-color {
    font-size: 28px;
  }
  .container-header {
    gap: 40px;
    flex-direction: column;
  }
  .nav-title img {
    padding-left: 20px;
  }
    
  .title {
    width: max-content;
  }
}

@media screen and (max-width: 868px) {
  .aside,
  nav {
    display: none;
  }
  .nav-title {
    height: 200px;
    width: 30%;
    padding: 20px;
  }
  .nav-responsive {
    display: flex;
  }
  .container-principal {
    flex-wrap: wrap;
    justify-content: center;
  }
  .container-header-inputs {
    width: 84%;
    gap: 36px;
  }
  main {
    width: 100%;
  }
  .container-header {
    width: 100%;
    /* padding-left: 20px; */
    gap: 20px;
  }
}

@media screen and (max-width: 992px) {
  .nav-title p {
    font-size: 32px;
  }
}
